<?php
namespace Psycho\Kittensftw\Tests\Unit\Domain\Model;

/**
 * Test case.
 */
class KittenTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
    /**
     * @var \Psycho\Kittensftw\Domain\Model\Kitten
     */
    protected $subject = null;

    protected function setUp()
    {
        parent::setUp();
        $this->subject = new \Psycho\Kittensftw\Domain\Model\Kitten();
    }

    protected function tearDown()
    {
        parent::tearDown();
    }

    /**
     * @test
     */
    public function getCutenessReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getCuteness()
        );

    }

    /**
     * @test
     */
    public function setCutenessForStringSetsCuteness()
    {
        $this->subject->setCuteness('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'cuteness',
            $this->subject
        );

    }

    /**
     * @test
     */
    public function getNameReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getName()
        );

    }

    /**
     * @test
     */
    public function setNameForStringSetsName()
    {
        $this->subject->setName('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'name',
            $this->subject
        );

    }
}
