<?php
defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function($extKey)
	{

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'Psycho.Kittensftw',
            'Kittykitty',
            [
                'Kitten' => 'list, show'
            ],
            // non-cacheable actions
            [
                'Kitten' => ''
            ]
        );

	// wizards
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
		'mod {
			wizards.newContentElement.wizardItems.plugins {
				elements {
					kittykitty {
						icon = EXT:kittensftw/Resources/Public/Icons/user_plugin_kittykitty.svg
						title = LLL:EXT:kittensftw/Resources/Private/Language/locallang_db.xlf:tx_kittensftw_domain_model_kittykitty
						description = LLL:EXT:kittensftw/Resources/Private/Language/locallang_db.xlf:tx_kittensftw_domain_model_kittykitty.description
						tt_content_defValues {
							CType = list
							list_type = kittensftw_kittykitty
						}
					}
				}
				show = *
			}
	   }'
	);
    },
    $_EXTKEY
);
